unit SpriteCompiler;

interface

	uses
{$IFC undefined THINK_Pascal}
		Types, QuickDraw, 
{$ENDC}
		SWCommonHeaders, SpriteFrame, Sprite;

{/--------------------------------------------------------------------------------------}
{	SpriteCompiler.h}
{}
{	Portions are copyright:  1991-94 Tony Myles, All rights reserved worldwide.}
{}
{	Description:	constants, structures, and prototypes for the sprite compiler}
{/--------------------------------------------------------------------------------------}

{$PUSH}
{$ALIGN MAC68K}

	const
		kMaxInstructionSize = 8;


	function SWCompileSprite (srcSpriteP: SpritePtr): OSErr;
	function SWCompileFrame (srcFrameP: FramePtr): OSErr;

	function SWParsePixels (maskStartAddrP: Ptr; var frameRect: Rect; numBytesPerRow: LongInt; var newPixCodeH: PixelCodeHdl): OSErr;
	function SWCompileMaskScanLine (newPixCodeH: PixelCodeHdl; maskPixelP: Ptr; numberOfPixels: LongInt; isLastScanLine: Boolean): OSErr;
	function SWGeneratePreamble (srcPixCodeH: PixelCodeHdl): OSErr;
	function SWGeneratePostamble (srcPixCodeH: PixelCodeHdl): OSErr;

{$ALIGN RESET}
{$POP}

{$IFC not undefined THINK_Pascal}
implementation
{$ENDC}
end.
